
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2007 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Data Engine
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for INI definitions used by Data Manager
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __DCDMINIDEF_H_INCLUDED__
#define __DCDMINIDEF_H_INCLUDED__


//---------------------------------------------------------------------
//  Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// Shared include files
//--------------------------------------------------------------------
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
//  Structures and definitions
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// DEFINITIONS
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// Definitiions for Data Manager INI file and folder names
//--------------------------------------------------------------------

// Data Manager configuration INI file names
// all INI file names are MAX 8.3 format
// and internal name of the service
#define DMCFG_DCDMDYINI_INI_NAME			"dcdmdy" NATIVE_DATA_WIDTH_STR ".ini"
#define DMCFG_DCDMSTINI_INI_NAME			"dcdmst" NATIVE_DATA_WIDTH_STR ".ini"


//--------------------------------------------------------------------
// Definitions for Data Manager "Dynamic" INI file
//--------------------------------------------------------------------

#define DMCFG_DCDMDYINI_SEC_POPALIAS		"Data Populators"

#define DMCFG_DCDMDYINI_POPALIAS			"popalias"

#define DMCFG_DCDMDYINI_KEY_DP_DISPLAYNAME	"display.name"
#define DMCFG_DCDMDYINI_KEY_DP_IMAGEPFNAME	"image.pathfilename"
#define DMCFG_DCDMDYINI_KEY_DP_POPEXPDISPFN	"popexport.dispatchfn"
#define DMCFG_DCDMDYINI_KEY_DP_STARTUPTYPE	"startup.type"
#define DMCFG_DCDMDYINI_KEY_DP_DEPONPOPALIAS	"depend.on.popalias"

#define DMCFG_DCDMDYINI_VAL_DPST_DISABLED	"disabled"
#define DMCFG_DCDMDYINI_VAL_DPST_MANUAL		"manual"
#define DMCFG_DCDMDYINI_VAL_DPST_AUTOMATIC	"automatic"

#define DMCFG_DCDMDYINI_SEC_SMIL			"DCSMIL"
#define DMCFG_DCDMDYINI_KEY_SMIL_REQGLOBRPL "request.globalrpl"


//--------------------------------------------------------------------
// Definitions for Data Manager "Static" INI file
//--------------------------------------------------------------------

#define DMCFG_DCDMSTINI_SEC_DATAMANAGER		"Data Manager"
#define DMCFG_DCDMSTINI_KEY_DM_DOSIZEMAX	"dataobjectsize.max"
#define DMCFG_DCDMSTINI_KEY_DM_DESIZEMAX	"dataeventsize.max"
#define DMCFG_DCDMSTINI_KEY_DM_VERMAJ		"product.majorversion"
#define DMCFG_DCDMSTINI_KEY_DM_VERMIN		"product.minorversion"
#define DMCFG_DCDMSTINI_KEY_DM_VERREV		"product.revision"
#define DMCFG_DCDMSTINI_KEY_DM_CREATORIDMAX	"creatorid.max"
#define DMCFG_DCDMSTINI_KEY_DM_POPIDMIN		"datapopulatorid.min"
#define DMCFG_DCDMSTINI_KEY_DM_POPIDMAX		"datapopulatorid.max"
#define DMCFG_DCDMSTINI_KEY_DM_CONIDMIN		"dataconsumerid.min"
#define DMCFG_DCDMSTINI_KEY_DM_CONIDMAX		"dataconsumerid.max"

#define DMCFG_DCDMSTINI_SEC_SMIL			"DCSMIL"
#define DMCFG_DCDMSTINI_KEY_DM_OBUFSIZEMAX	"outbufsize.max"
#define DMCFG_DCDMSTINI_KEY_DM_IBUFSIZEMAX	"inbufsize.max"
#define DMCFG_DCDMSTINI_KEY_DM_DQDMIN		"dispatchqueuedepth.min"
#define DMCFG_DCDMSTINI_KEY_DM_EQDMIN		"eventqueuedepth.min"
#define DMCFG_DCDMSTINI_KEY_DM_TSDW			"dispatchtimeoutwait.secs"
#define DMCFG_DCDMSTINI_KEY_DM_DCIDMIN		"dataconsumerid.min"
#define DMCFG_DCDMSTINI_KEY_DM_DCMAX		"datconsumers.max"
#define DMCFG_DCDMSTINI_KEY_DM_ADMINCONMAX	"adminconnections.max"
#define DMCFG_DCDMSTINI_KEY_DM_PWRUSRCONMAX	"poweruserconnections.max"
#define DMCFG_DCDMSTINI_KEY_DM_USERCONMAX	"userconnections.max"

#define DMCFG_DCDMSTINI_SEC_HAPI			"DCHAPI"
#define DMCFG_DCDMSTINI_KEY_HPL_PRELOAD		"preload.enabled"


//--------------------------------------------------------------------
// Common Data Manager INI Definitions
//--------------------------------------------------------------------

#define DMCFG_DCDMINI_KEY_SMIL_UACCESSRPL   "useraccess.rpl"

#define DMCFG_DCDMINI_SEC_SMIL_REQTYP_RPL	"SMIL Request Type RPL"
#define DMCFG_DCDMINI_KEY_SMIL_REQTYP_FMT	"%u"
#define DMCFG_DCDMINI_KEY_SMIL_RTRANGE_FMT	"%u-%u"

#define DMCFG_DCDMINI_SEC_SMIL_REQSUB_RPL	"SMIL Request Subtype RPL"
#define DMCFG_DCDMINI_KEY_SMIL_REQSUB_FMT	"%u.%u"
#define DMCFG_DCDMINI_KEY_SMIL_RSRANGE_FMT	"%u.%u-%u"

#define DMCFG_DCDMINI_VAL_SMIL_RPL_ADMIN	"admin"
#define DMCFG_DCDMINI_VAL_SMIL_RPL_PWRUSR	"poweruser"
#define DMCFG_DCDMINI_VAL_SMIL_RPL_USER		"user"


//--------------------------------------------------------------------
// STRUCTURES
//--------------------------------------------------------------------








#ifdef __cplusplus
}
#endif


#endif //  __DCDMINIDEF_H_INCLUDED__

