
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2004 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 19 $
//
//  Last Modified By / On:
//    $Author: Chris_poblete $ / $Date: 8/18/03 5:58p $
//
//  Author:
//    Chris Poblete
//
//  Environment:
//    Linux, Netware, Windows NT/2000/.NET
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Native Data Exchange public Definitions
//
//  See Also:
//    Please see Data Engine High Level Design document
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

/** @file */

#ifndef __DCEDAPLUGINAPI_H_INCLUDED__
#define __DCEDAPLUGINAPI_H_INCLUDED__


//---------------------------------------------------------------------
// Include files this header is dependent on
//---------------------------------------------------------------------
#include <dcedaplugindef.h>


//---------------------------------------------------------------------
// Includes end
//---------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Defines and types
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Structure definitions
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Function Signatures
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Following definition must be defined in DA Plugin Implementers
//---------------------------------------------------------------------

//---------------------------------------------------------------------
/** Compile time validation ensuring implementation defines the Data Accessor Plug-in send command prototype name */
//---------------------------------------------------------------------
#ifndef DATAACCESSOR_SENDCMD
#ifndef DATAACCESSOR_PLUGIN_SENDCMD
#error DATAACCESSOR_PLUGIN_SENDCMD not defined by makefile. Example: DATAACCESSOR_PLUGIN_SENDCMD=DCSHIP32_DAPluginSendCmd
#endif // DATAACCESSOR_PLUGIN_SENDCMD
#endif // DATAACCESSOR_SENDCMD


//---------------------------------------------------------------------
// Send command function that receives plugin command requests
//---------------------------------------------------------------------

//---------------------------------------------------------------------
/** Data Accessor Plug-in Interface send command function prototype
 *
 * @param pPRR [inout] Pointer to the Plug-in request and response data
 * 
 * @return On success, returns SM_STATUS_SUCCESS and the expected response
 *         data stored in pPRR. On error, returns the appropriate SM_STATUS
 *         error code.
 *
 * @see DAPluginReqRsp
 */
//---------------------------------------------------------------------
typedef s32 (_cdecl *FPROCDCDAPLUGINSENDCMD)(_INOUT DAPluginReqRsp *pPRR);


//---------------------------------------------------------------------
// Header Code Ends
//---------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __DCEDAPLUGINAPI_H_INCLUDED__
