
//-------------------------------------------------------------------------
//
//          DELL INCORPORATED PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Incorporated and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 1 $
//
//  Last Modified By / On:
//    $Author: Tushar_Oza $ / $Date: 11/18/03 3:08a $
//
//  Author / Created:
//    Tushar Oza / 2003 Nov 18
//
//  Environment:
//    Linux, Netware, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    <Put a sentence or two describing the contents of this file>
//
//  See Also:
//    <Put document references here>
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

/** @file */

#ifndef __DCEMINIDEF_H_INCLUDED__
#define __DCEMINIDEF_H_INCLUDED__


//--------------------------------------------------------------------
//  Includes this file is dependent on
//--------------------------------------------------------------------

//--------------------------------------------------------------------
// DATAENGINE global include files
//--------------------------------------------------------------------
#include <dcdetypes.h>


#ifdef __cplusplus
extern "C" {
#endif


//--------------------------------------------------------------------
// Definitions for Event Manager INI file and folder names
//--------------------------------------------------------------------


//---------------------------------------------------------------------
/** folder name in directory for productID=SM_PRODUCT_ID_DATA_ENGINE */
//---------------------------------------------------------------------
#define EMCFG_EMINI_DIR_NAME				"ini"


//---------------------------------------------------------------------
/** Event Manager configuration INI file names
 * all INI file names are MAX 8.3 format
 * and internal name of the service
 */
//---------------------------------------------------------------------

//---------------------------------------------------------------------
/** Event Manager static INI filename */
//---------------------------------------------------------------------
#define EMCFG_EMSTINI_INI_NAME				"dcemst" NATIVE_DATA_WIDTH_STR ".ini"

//---------------------------------------------------------------------
/** Event Manager dynamic INI filename */
//---------------------------------------------------------------------
#define EMCFG_EMDYINI_INI_NAME				"dcemdy" NATIVE_DATA_WIDTH_STR ".ini"

//---------------------------------------------------------------------
/** Instrumentation Service dynamic INI filename */
//---------------------------------------------------------------------
#define EMCFG_ISDYINI_INI_NAME				"dcisdy" NATIVE_DATA_WIDTH_STR ".ini"

//--------------------------------------------------------------------
/** Definitions for Event Manager "Dynamic" INI file */
//--------------------------------------------------------------------

//--------------------------------------------------------------------
/** Event Implementers section name value*/
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_SEC_EPIALIAS			"Event Plugin Implementers"

//--------------------------------------------------------------------
/** Event Implementer alias key name value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_KEY_EPIALIAS			"epialias"


//--------------------------------------------------------------------
/** EPI Aliases section (section name is alias name) */
//--------------------------------------------------------------------

//--------------------------------------------------------------------
/** Event Implementer display name key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_KEY_EI_DISPLAYNAME	"display.name"

//--------------------------------------------------------------------
/** Event Implementer plugin image pathfile name key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_KEY_EI_IMAGEPFNAME	"image.pathfilename"

//--------------------------------------------------------------------
/** Event Implementer export dispatch function name key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_KEY_EI_EXPDISPFN		"epiexport.dispatchfn"

//--------------------------------------------------------------------
/** Event Implementer startup type key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_KEY_EI_STARTUPTYPE	"startup.type"

//--------------------------------------------------------------------
/** Event Implementer messages pathfile name key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_KEY_EI_MSGPFNAME		"message.pathfilename"


//--------------------------------------------------------------------
/** Event Implementer disabled startup type key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_VAL_EIST_DISABLED		"disabled"

//--------------------------------------------------------------------
/** Event Implementer manual startup type key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_VAL_EIST_MANUAL		"manual"

//--------------------------------------------------------------------
/** Event Implementer automatic startup type key value */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_VAL_EIST_AUTOMATIC	"automatic"


//--------------------------------------------------------------------
/** Event Manager section for Dynamic INI file */
//--------------------------------------------------------------------
#define EMCFG_EMDYINI_SEC_EVENTMANAGER		"Event Manager"


//--------------------------------------------------------------------
/** Definitions for Event Manager "Static" INI file */
//--------------------------------------------------------------------

//--------------------------------------------------------------------
/** Event Manager section for static INI file*/
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_SEC_EVENTMANAGER		"Event Manager"

//--------------------------------------------------------------------
/** Event Implementer description key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_DESCRIPTION	"description"

//--------------------------------------------------------------------
/** Event Implementer product major version key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_VERMAJ			"product.majorversion"

//--------------------------------------------------------------------
/** Event Implementer product minor version key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_VERMIN			"product.minorversion"

//--------------------------------------------------------------------
/** Event Implementer product revision key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_VERREV			"product.revision"

//--------------------------------------------------------------------
/** Event Implementer max plugin ID key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_EPIIDMAX		"eventpluginimplementerid.max"

//--------------------------------------------------------------------
/** Event Implementer event source name key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_SRCNAME_OEM	"EventSourceName.oem"

//--------------------------------------------------------------------
/** Event Implementer unitext enabled key value */
//--------------------------------------------------------------------
#define EMCFG_EMSTINI_KEY_EM_ISULOG_ENABLED	"UnitextLog.enabled"

//---------------------------------------------------------------------
// OS Logging filter section and key names
//---------------------------------------------------------------------
#define INI_SEC_OSP_SYSTEMINFO				"System Info"
#define INI_KEY_OSP_OS_LOG_FILTER			"OS Log Filter"

#ifdef __cplusplus
}
#endif


#endif // __DCEMINIDEF_H_INCLUDED__
