
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2007 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Data Engine
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003/2008
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for INI definitions used by SMIL
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __DCSMINIDEF_H_INCLUDED__
#define __DCSMINIDEF_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <dcdetypes.h>


#ifdef __cplusplus
extern "C" {
#endif


//--------------------------------------------------------------------
// SMIL INI file names
//--------------------------------------------------------------------

#define SMIL_INI_FILENAME_DCSMDY			"dcsmdy" NATIVE_DATA_WIDTH_STR ".ini"
#define SMIL_INI_FILENAME_DCSMST			"dcsmst" NATIVE_DATA_WIDTH_STR ".ini"


//--------------------------------------------------------------------
// SMIL Dynamic INI definitions
//--------------------------------------------------------------------

#define SMIL_INI_SEC_USERGROUPCONFIG		"UGC"

// NOTE: random values are intentional
#define SMIL_INI_KEY_UGCPRIVLEVEL_ADMIN		"R8m19W5Nia"
#define SMIL_INI_KEY_UGCPRIVLEVEL_PWRUSR	"qRvD59Q5B0"
#define SMIL_INI_KEY_UGCPRIVLEVEL_USER		"wyTJ7N9KpT"


//--------------------------------------------------------------------
// SMIL Static INI definitions
//--------------------------------------------------------------------

#define SMIL_INI_SEC_DCSMIL					"DCSMIL"

#define SMIL_INI_KEY_NETACCDENIED_ADMIN		"networkaccessdenied.pipea"
#define SMIL_INI_DEFVAL_NETACCDENIED_ADMIN	(FALSE)

#define SMIL_INI_KEY_NETACCDENIED_PWRUSR	"networkaccessdenied.pipep"
#define SMIL_INI_DEFVAL_NETACCDENIED_PWRUSR	(TRUE)

#define SMIL_INI_KEY_NETACCDENIED_USER		"networkaccessdenied.pipeu"
#define SMIL_INI_DEFVAL_NETACCDENIED_USER	(TRUE)

#define SMIL_INI_KEY_OPENREQTOWAITSECS		"openreqtimeoutwait.secs"
#define SMIL_INI_MINVAL_OPENREQTOWAITSECS	(1)
#define SMIL_INI_MAXVAL_OPENREQTOWAITSECS	(60)
#define SMIL_INI_DEFVAL_OPENREQTOWAITSECS	(5)

#define SMIL_INI_KEY_OPENRSPTOWAITSECS		"openrsptimeoutwait.secs"
#define SMIL_INI_MINVAL_OPENRSPTOWAITSECS	(1)
#define SMIL_INI_MAXVAL_OPENRSPTOWAITSECS	(60)
#define SMIL_INI_DEFVAL_OPENRSPTOWAITSECS	(5)

#define SMIL_INI_KEY_PWRUSRDEPOVERRIDE		"poweruserdeprecationoverride.enabled"
#define SMIL_INI_DEFVAL_PWRUSRDEPOVERRIDE	(FALSE)

#define SMIL_INI_SEC_SECURITYCONFIG			"SC"

// NOTE: random values are intentional
#define SMIL_INI_KEY_SCUGPLCFGALLOW_ADMIN	"PqAdFFahR5"
#define SMIL_INI_DEFVAL_UGPLCFGALLOW_ADMIN	(TRUE)

#define SMIL_INI_KEY_SCUGPLCFGALLOW_PWRUSR	"7jsf6gB3un"
#define SMIL_INI_DEFVAL_UGPLCFGALLOW_PWRUSR	(TRUE)

#define SMIL_INI_KEY_SCUGPLCFGALLOW_USER	"tE9pSbEX5y"
#define SMIL_INI_DEFVAL_UGPLCFGALLOW_USER	(FALSE)


//--------------------------------------------------------------------
// SMIL Common INI definitions
//--------------------------------------------------------------------

#define SMIL_INI_VAL_PRIVLEVEL_ADMIN		"admin"
#define SMIL_INI_VAL_PRIVLEVEL_PWRUSR		"poweruser"
#define SMIL_INI_VAL_PRIVLEVEL_USER			"user"


//--------------------------------------------------------------------
// End Definitions
//--------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __DCSMINIDEF_H_INCLUDED__

