
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2006 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Data Engine
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Systems Management Security definitions
//
//  See Also:
//    Data Engine High Level Design document
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

/** @file */

#ifndef __DCSMSECURITY_H_INCLUDED__
#define __DCSMSECURITY_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <dcdetypes.h>


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Systems Management Access Types
//---------------------------------------------------------------------

/** Systems Management Access Type: None */
#define SM_ACCESSTYPE_NONE					(0)

/** Systems Management Access Type: Read */
#define SM_ACCESSTYPE_READ					BIT(0)

/** Systems Management Access Type: Write */
#define SM_ACCESSTYPE_WRITE					BIT(1)

/** Systems Management Access Type: Admin */
#define SM_ACCESSTYPE_ADMIN					BIT(2)


//---------------------------------------------------------------------
// Systems Management Privilege Levels
//---------------------------------------------------------------------

/** Systems Management Privilege Level: None (no access) */
#define SM_PRIVLEVEL_NONE					(SM_ACCESSTYPE_NONE)

/** Systems Management Privilege Level: Normal user (read-only access) */
#define SM_PRIVLEVEL_USER					(SM_ACCESSTYPE_READ)

/** Systems Management Privilege Level: Power user (read and write access) */
#define SM_PRIVLEVEL_POWERUSER				(SM_ACCESSTYPE_READ  | \
											 SM_ACCESSTYPE_WRITE)

/** Systems Management Privilege Level: Administrator (read, write and admin access) */
#define SM_PRIVLEVEL_ADMINISTRATOR			(SM_ACCESSTYPE_READ  | \
											 SM_ACCESSTYPE_WRITE | \
											 SM_ACCESSTYPE_ADMIN)


//---------------------------------------------------------------------
// Systems Management User Groups
//---------------------------------------------------------------------

/** Systems Management User Group: User */
#define SM_USERGROUP_USER					(SM_PRIVLEVEL_USER)

/** Systems Management User Group: Power User */
#define SM_USERGROUP_POWERUSER				(SM_PRIVLEVEL_POWERUSER)

/** Systems Management User Group: Administrator */
#define SM_USERGROUP_ADMINISTRATOR			(SM_PRIVLEVEL_ADMINISTRATOR)


//---------------------------------------------------------------------
// End Definitions
//---------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __DCSMSECURITY_H_INCLUDED__

