
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for epidispatch.h support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 2 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:07p $
//
//--------------------------------------------------------------------


#ifndef __EPIDISPATCH_H_INCLUDED__
#define __EPIDISPATCH_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcossdk.h>
#include <dcsysdebug.h>
#include <dcdetypes.h>
#include <dcsmstatus.h>
#include <dcsupapi.h>
#include <dcsmepim.h>
#include <dcepemdispatchdef.h>
#include <prodversioninfo.h>



#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes - Define the body for these external functions
// in your module that includes this header and related source files
//---------------------------------------------------------------------

// called on reqType: SM_EPDRT_EPI_LOAD
extern s32 EPIDispLoad(_IN const SMEPEMDispatchEnv *pEPEMDE);

// called on reqType: SM_EPDRT_EPI_UNLOAD
extern s32 EPIDispUnLoad(void);

// called on reqType: SM_EPDRT_EPI_START_MONITOR
extern s32 EPIDispStartMonitor(void);

// called on reqType: SM_EPDRT_EPI_STOP_MONITOR
extern s32 EPIDispStopMonitor(void);


#ifdef __cplusplus
}
#endif

#endif //  __EPIDISPATCH_H_INCLUDED__ 


