
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for epiepemdispatch.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 5 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:07p $
//
//--------------------------------------------------------------------


#ifndef __EPIEPEMDISPATCH_H_INCLUDED__
#define __EPIEPEMDISPATCH_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcepemdispatchdef.h>
#include <dcsysdebug.h>
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes 
//---------------------------------------------------------------------

booln EPIEPEMDAttach(_IN const SMEPEMDispatchEnv *pEPEMDE);

void EPIEPEMDDetach(void);

const SMEPEMDispatchEnv *EPIEPEMDGetEPEMDE(void);

void EPIEPEMDFreeGeneric(_IN void *pMem);

astring *EPIEPEMDGetOSLocaleNameUTF8List(_INOUT u32 *pUTF8BufSize);

EventMessageData *EPIEPEMDAllocEventMessageData(_IN u32 memAllocSize);

void EPIEPEMDFreeEventMessageData(_IN EventMessageData *pEMD);

s32 EPIEPEMDLogTagNameInsert(_IN const astring *pUTF8LogTag, 
							 _IN const PFNLOGROUTINE pfnLogRoutine);

astring *EPIEPEMDLogTagNameGetUTF8List(_INOUT u32 *pUTF8BufSize, 
									   _INOUT u32 *pNumLogTags);

s32 EPIEPEMDLogTagNameRemove(_IN const astring *pUTF8LogTag, 
							 _IN const PFNLOGROUTINE pfnLogRoutine);

s32 EPIEPEMDLogEventDataByLogTagName(_IN const astring *pUTF8LogTag, 
									 _IN LogRoutineData *pLRData);

u32 EPIEPEMDGetepiID(void);


#ifdef __cplusplus
}
#endif

#endif //  __EPIEPEMDISPATCH_H_INCLUDED__ 


