//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
// Module Name:
//
// Support module to make coding an event plug-in implementer a matter of
// coding interfaces defined
//
// Abstract/Purpose:
//
// This module contains common OS Independent code for Event Implementers 
//
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 2 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:07p $
//
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// Defines to customize headers to follow
//--------------------------------------------------------------------

#if (!defined SYSTEM_DEBUG_LEVEL) && (defined _DEBUG)
#define SYSTEM_DEBUG_LEVEL      3
#endif


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <epiexport.h>



//--------------------------------------------------------------------
// Local Defines
//--------------------------------------------------------------------



//--------------------------------------------------------------------
// Global Data Area
//--------------------------------------------------------------------



//---------------------------------------------------------------------
//  Code Begins
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// EventImplementerAttach - Called when epi loaded by the OS
// into process memory
//---------------------------------------------------------------------
s32 EventImplementerAttach(void)
{

	// Normally no work is performed here
	// unless it is important to prevent
	// the OS loader from loading this
	// module into process/OS memory
	// due to some pre-conditions
	// hence return success

	return SM_STATUS_SUCCESS;
} // EventImplementerAttach


//---------------------------------------------------------------------
// EventImplementerDetach - Called when epi unloaded by OS
// from process memory
//---------------------------------------------------------------------
void EventImplementerDetach(void)
{

	// Normally no work is performed here
	// unless some resource were allocated
	// in EventImplementerAttach that need to be
	// freed in order to prevent
	// resource leaks or other side effects

} // EventImplementerDetach


//---------------------------------------------------------------------
//  Code Ends
//---------------------------------------------------------------------
