
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2009 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Data Engine
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003/2008
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for Sample Consumer
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __SAMCON_H_INCLUDED__
#define __SAMCON_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <dcsgenapi.h>


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Structure and type definitions
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//  Sample Object Type Base
//---------------------------------------------------------------------
// object type base used
// NOTE: Do not use the same base in your data populator
// request a range from the Data Engine team if not already assigned
#define DATA_OBJ_TYPE_SAMP_BASE			(DATA_OBJ_TYPE_NEXT_AVAILABLE_LO_1)

//---------------------------------------------------------------------
//  Sample Data Object Types
//---------------------------------------------------------------------
#define DATA_OBJ_TYPE_SAMP_STORAGE		(DATA_OBJ_TYPE_SAMP_BASE + 0)
#define DATA_OBJ_TYPE_SAMP_CONTROLLER	(DATA_OBJ_TYPE_SAMP_BASE + 1)
#define DATA_OBJ_TYPE_SAMP_ENCLOSURE	(DATA_OBJ_TYPE_SAMP_BASE + 2)
#define DATA_OBJ_TYPE_SAMP_TIMER		(DATA_OBJ_TYPE_SAMP_BASE + 3)


// definition of storage data object created under root
typedef struct _SAMPStorageDataObj
{
	// object header needed for all objects
	DataObjHeader doh;
	// release major version
	s32 majorVersion;
	// release minor version
	s32 minorVersion;
	// release maintanence version
	s32 maintanenceVersion;
} SAMPStorageDataObj;


// definition of controller data object created under SAMPStorageDataObj
typedef struct _SAMPControllerDataObj
{
	// object header needed for all objects
	DataObjHeader doh;
	// offset to Vendor Name
	u32 offsetVendorName;
	// offset to Device Name
	u32 offsetDeviceName;
	// controller state search DOTSC_STATE_
	u32 state;
} SAMPControllerDataObj;


//---------------------------------------------------------------------
// Function Prototypes for functions defined in various modules
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// SAMCONMOD.C
//---------------------------------------------------------------------
booln ModuleAttach(void);

void ModuleDetach(void);


//---------------------------------------------------------------------
// SAMCONGETOBJBYTYPE.C
//---------------------------------------------------------------------
s32 SamConGetControllerNames(void);


//---------------------------------------------------------------------
// SAMCONEVENTLISTENER.C
//---------------------------------------------------------------------
s32 _cdecl SamConEventListener(_IN const DataEventHeader *pDEH);


#ifdef __cplusplus
}
#endif


#endif // __SAMCON_H_INCLUDED__

