
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for popdisp.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 4 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:12p $
//
//--------------------------------------------------------------------


#ifndef __POPDISPATCH_H_INCLUDED__
#define __POPDISPATCH_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcossdk.h>
#include <dcsysdebug.h>
#include <dcdetypes.h>
#include <dcsmstatus.h>
#include <dcsmdispatchdef.h>
#include <dcdataevent.h>
#include <dcdpdmdispatchdef.h>
#include <prodversioninfo.h>



#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes - Define the body for these external functions
// in your module that includes this header and related source files
//---------------------------------------------------------------------

// called on reqType: SM_DRT_POP_LOAD
extern s32 PopDispLoad(_IN const SMDPDMDispatchEnv *pSMDPDMDE);

// called on reqType: SM_DRT_POP_UNLOAD
extern s32 PopDispUnLoad(void);

// called on reqType: SM_DRT_POP_START_MONITOR
extern s32 PopDispStartMonitor(void);

// called on reqType: SM_DRT_POP_STOP_MONITOR
extern s32 PopDispStopMonitor(void);

// called on reqType: SM_DRT_COM_GET_OBJ_LIST_INFO
extern s32 PopDispGetObjListInfo(_OUT SMRspObjListInfo *pOLI, 
								 _INOUT u32 *pOLISize);

// called on reqType: SM_DRT_COM_LIST_CHILDREN_OID
extern s32 PopDispListChildrenOID(_IN const ObjID *pOID, 
							  _OUT ObjList *pOL, 
							  _INOUT u32 *pOLSize);

// called on reqType: SM_DRT_COM_GET_OBJ_BY_OID
extern s32 PopDispGetObjByOID(_IN const ObjID *pOID, 
							  _OUT DataObjHeader *pDOH, 
							  _INOUT u32 *pDOHBufSize);

// called on reqType: SM_DRT_POP_REFRESH_OBJ
extern s32 PopDispRefreshObj(_IN const DataObjHeader *pIDOH, 
							 _OUT DataObjHeader *pODOH, 
							 _INOUT u32 *pODOHBufSize);

// called on reqType: SM_DRT_COM_PASS_THRU_BY_OID
extern s32 PopDispPassThru(_IN const SMReqHeaderPassThru *pOPTReq, 
						   _IN const u32 *pReqBufSize, 
						   _OUT void *pRsp, 
						   _INOUT u32 *pRspBufSize);

// called on reqType: SM_DRT_DMG_SET_OBJ_BY_OID
extern s32 PopDispSetObjByOID(_IN const SMReqHeaderSet *pSReq, 
							  _IN const u32 *pSetSize, 
							  _INOUT DataObjHeader *pIODOH, 
							  _INOUT u32 *pIODOHBufSize);

// called on reqType: SM_DRT_POP_SET_DATA_EVENT
extern s32 PopDispSetDataEvent(_IN const DataEventHeader *pDEH);



#ifdef __cplusplus
}
#endif

#endif //  __POPDISPATCH_H_INCLUDED__ 


