
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for popdpdmdispatch.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 15 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:12p $
//
//--------------------------------------------------------------------


#ifndef __POPDPDMDISPATCH_H_INCLUDED__
#define __POPDPDMDISPATCH_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcdpdmdispatchdef.h>
#include <dcsysdebug.h>
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes 
//---------------------------------------------------------------------

booln PopDPDMDAttach(_IN const SMDPDMDispatchEnv *pDPDMDE);

void PopDPDMDDetach(void);

void PopDPDMDFreeGeneric(_IN void *pMem);

booln PopDPDMDIsDataManagerReady(void);

u8 PopDPDMDGetPopulatorID(void);

void *PopDPDMDAllocSMReq(_OUT u32 *pReqSize);

void *PopDPDMDAllocSMRsp(_OUT u32 *pRspSize);

DataObjHeader *PopDPDMDAllocDataObject(_OUT u32 *pDataObjSize);

DataEventHeader *PopDPDMDAllocDataEvent(_OUT u32 *pDataEvtSize);

ObjList *PopDPDMDAllocAndCopyRequiredObjList(_IN const ObjList *pMOL, 
											 _OUT u32 *pReqListSize);

DataObjHeader *PopDPDMDAllocAndCopyRequiredDataObj(_IN const DataObjHeader *pMOH);

DataEventHeader *PopDPDMDAllocAndCopyRequiredDataEvt(_IN const DataEventHeader *pMEH);

ObjList *PopDPDMDListParentOID(_IN const ObjID *pOID);

ObjList *PopDPDMDListChildOID(_IN const ObjID *pOID);

ObjList *PopDPDMDListParentOIDByType(_IN const ObjID *pOID, 
									  _IN u16 objType);

ObjList *PopDPDMDListChildOIDByType(_IN const ObjID *pOID, 
									_IN u16 objType);

ObjList *PopDPDMDListChildOIDByStatus(_IN const ObjID *pOID, 
									   _IN u16 objType, 
									   _IN booln worseThan, 
									   _IN u8 objStatus);

DataObjHeader *PopDPDMDGetDataObjByOID(_IN const ObjID *pOID);

s32 PopDPDMDPassThruObjByReq(_IN const SMReqHeaderPassThru *pOPTReq, 
							 _IN u32 reqSize, 
							 _OUT void *pRsp, 
							 _IN u32 rspSize, 
							 _OUT u32 *pBytesReturned);

s32 PopDPDMDSetObjByReq(_IN const SMReqHeaderSet *pSReq,
						_IN u32 reqSize);

s32 PopDPDMDDataObjCreateSingle(_IN const DataObjHeader *pDOH, 
								_IN const ObjID *pParentOID);

s32 PopDPDMDDataObjCreateMultiple(_IN const DataObjHeader **ppDOH,
								  _IN const u32 *pNumInDOHList,
								  _IN const ObjList *pParentOL);

s32 PopDPDMDDataObjRefreshSingle(_IN const DataObjHeader *pDOH);

s32 PopDPDMDDataObjRefreshMultiple(_IN const DataObjHeader **ppDOH, 
								   _IN const u32 *pNumInDOHList);

s32 PopDPDMDDataObjDestroySingle(_IN const ObjID *pOID);

s32 PopDPDMDDataObjDestroyMultiple(_IN const ObjList *pOL);

s32 PopDPDMDDOBranchCreateMultiple(_IN const ObjList *pOL, 
								   _IN const s32 *pListType, 
								   _IN const ObjID *pOID);

s32 PopDPDMDDOBranchDestroyMultiple(_IN const ObjList *pOL, 
									_IN const s32 *pListType, 
									_IN const ObjID *pOID);

s32 PopDPDMDDESubmitSingle(_INOUT DataEventHeader *pDEH);

astring *PopDPDMDDOGetObjTimeUTF8Str(_IN s64 timeStampVal);

s32 PopDPDMDObjListClear(_OUT ObjList *pOL, 
						 _IN const u32 *pOLSize, 
						 _OUT u32 *pBytesReturned);

s32 PopDPDMDObjListAppendOID(_IN const ObjID *pOIDToAppend, 
							 _INOUT ObjList *pOL, 
							 _IN const u32 *pOLSize, 
							 _OUT u32 *pBytesReturned);

s32 PopDPDMDDOAppendUTF8Str(_INOUT DataObjHeader *pDOH, 
							_IN const u32 *pDOHBufSize, 
							_INOUT u32 *pOffsetStrVar, 
							_IN const astring *pUTF8Str);

s32 PopDPDMDDOAppendUCS2Str(_INOUT DataObjHeader *pDOH, 
							_IN const u32 *pDOHBufSize, 
							_INOUT u32 *pOffsetStrVar, 
							_IN const ustring *pUTF8Str);

astring *PopDPDMDDOGetCreatorAliasNameByOID(_IN const ObjID *pOID);

const void *PopDPDMDDOGetObjBody(_IN const DataObjHeader *pDOH, 
								 _IN u32 *pBodySize);



#ifdef __cplusplus
}
#endif

#endif //  __POPDPDMDISPATCH_H_INCLUDED__ 


