
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for popdpdmdispatch.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 6 $
//
//
//  Last Modified by/on:
//  $Author: Anil_rao $ / $Date: 8/12/03 11:18a $
//
//--------------------------------------------------------------------


#ifndef __POPINIREAD_H_INCLUDED__
#define __POPINIREAD_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcsysdebug.h>
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes 
//---------------------------------------------------------------------

void PopINIFreeGeneric(_IN void *pMem);

astring *PopINIGetINIPathFileName(_IN s32 productID, 
								  _IN const astring *pFileName);

astring *PopINIGetKeyValueMultiUTF8(_IN const astring *pINIPFName, 
									_IN const astring *pSecName, 
									_IN const astring *pKeyName, 
									_IN const astring *pDefaultVal, 
									_OUT u32 *pValSize);

astring *PopINIGetKeyValueUTF8(_IN const astring *pINIPFName, 
							   _IN const astring *pSecName, 
							   _IN const astring *pKeyName, 
							   _IN const astring *pDefaultVal, 
							   _OUT u32 *pValSize);

u32 PopINIGetKeyValueUnSigned32(_IN const astring *pINIPFName, 
								_IN const astring *pSecName, 
								_IN const astring *pKeyName, 
								_IN u32 defaultVal);

s32 PopINIGetKeyValueSigned32(_IN const astring *pINIPFName, 
							  _IN const astring *pSecName, 
							  _IN const astring *pKeyName, 
							  _IN s32 defaultVal);

u64 PopINIGetKeyValueUnSigned64(_IN const astring *pINIPFName, 
								_IN const astring *pSecName, 
								_IN const astring *pKeyName, 
								_IN u64 defaultVal);

s64 PopINIGetKeyValueSigned64(_IN const astring *pINIPFName, 
							  _IN const astring *pSecName, 
							  _IN const astring *pKeyName, 
							  _IN s64 defaultVal);

booln PopINIGetKeyValueBooln(_IN const astring *pINIPFName, 
							 _IN const astring *pSecName, 
							 _IN const astring *pKeyName, 
							 _IN booln defaultVal);

s32 PopINIGetKeyValueEnum(_IN const astring *pINIPFName, 
						  _IN const astring *pSecName, 
						  _IN const astring *pKeyName, 
						  _IN const SMEnums32UTF8Map *pEnumMap, 
						  _IN s32 enumMapCount);

u32 PopINIGetKeyValueBitMap(_IN const astring *pINIPFName, 
							_IN const astring *pSecName, 
							_IN const astring *pKeyName, 
							_IN const SMEnums32UTF8Map *pEnumMap, 
							_IN s32 enumMapCount);

s32 PopINIGetKeyValueBinary(_IN const astring *pINIPFName, 
						   _IN const astring *pSecName, 
						   _IN const astring *pKeyName, 
						   _OUT u8 *pValue,
						   _OUT u32 *pValSize);


#ifdef __cplusplus
}
#endif

#endif //  __POPINIREAD_H_INCLUDED__ 


