
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for popdpdmdispatch.c support module
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 5 $
//
//
//  Last Modified by/on:
//  $Author: Anil_rao $ / $Date: 8/12/03 11:18a $
//
//--------------------------------------------------------------------


#ifndef __POPINIWRITE_H_INCLUDED__
#define __POPINIWRITE_H_INCLUDED__



//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------


//--------------------------------------------------------------------
// $(DATAENGINESDK) include files
//--------------------------------------------------------------------
#include <dcsysdebug.h>
#include <dcsupapi.h>


#ifdef __cplusplus
extern "C" {
#endif
	
	
//---------------------------------------------------------------------
// Function prototypes 
//---------------------------------------------------------------------

s32 PopINISetKeyValueUTF8(_IN const astring *pINIPFName, 
						  _IN const astring *pSecName, 
						  _IN const astring *pKeyName, 
						  _IN const astring *pValue, 
						  _IN const u32 *pValSize);

s32 PopINISetKeyValueUnSigned32(_IN const astring *pINIPFName, 
								_IN const astring *pSecName, 
								_IN const astring *pKeyName, 
								_IN u32 value);

s32 PopINISetKeyValueSigned32(_IN const astring *pINIPFName, 
							  _IN const astring *pSecName, 
							  _IN const astring *pKeyName, 
							  _IN s32 value);

s32 PopINISetKeyValueUnSigned64(_IN const astring *pINIPFName, 
								_IN const astring *pSecName, 
								_IN const astring *pKeyName, 
								_IN u64 value);

s32 PopINISetKeyValueSigned64(_IN const astring *pINIPFName, 
							  _IN const astring *pSecName, 
							  _IN const astring *pKeyName, 
							  _IN s64 value);

s32 PopINISetKeyValueBooln(_IN const astring *pINIPFName, 
						   _IN const astring *pSecName, 
						   _IN const astring *pKeyName, 
						   _IN booln value);

s32 PopINISetKeyValueBinary(_IN const astring *pINIPFName, 
						  _IN const astring *pSecName, 
						  _IN const astring *pKeyName, 
						  _IN const u8 *pValue, 
						  _IN const u32 ValSize);


#ifdef __cplusplus
}
#endif

#endif //  __POPINIWRITE_H_INCLUDED__ 


