
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
// Module Name:
//
// Support module to make coding a populator a matter of coding
// interfaces defined in popdisp.h
//
// Abstract/Purpose:
//
// This module contains common OS Independent code for SM Populators 
//
//
//  Environment:
//  Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 3 $
//
//
//  Last Modified by/on:
//  $Author: Tushar_oza $ / $Date: 7/22/03 5:12p $
//
//--------------------------------------------------------------------


//--------------------------------------------------------------------
// Defines to customize headers to follow
//--------------------------------------------------------------------

#if (!defined SYSTEM_DEBUG_LEVEL) && (defined _DEBUG)
#define SYSTEM_DEBUG_LEVEL      3
#endif


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <popexport.h>



//--------------------------------------------------------------------
// Local Defines
//--------------------------------------------------------------------



//--------------------------------------------------------------------
// Global Data Area
//--------------------------------------------------------------------



//---------------------------------------------------------------------
//  Code Begins
//---------------------------------------------------------------------


//---------------------------------------------------------------------
// PopulatorAttach - Called when populator loaded by the OS
// into process memory
//---------------------------------------------------------------------
s32 PopulatorAttach(void)
{

	// Normally no work is performed here
	// unless it is important to prevent
	// the OS loader from loading this
	// module into process/OS memory
	// due to some pre-conditions
	// hence return success

	return SM_STATUS_SUCCESS;
} // PopulatorAttach


//---------------------------------------------------------------------
// PopulatorDetach - Called when populator unloaded by OS
// from process memory
//---------------------------------------------------------------------
void PopulatorDetach(void)
{

	// Normally no work is performed here
	// unless some resources were allocated
	// in PopulatorAttach that need to be
	// freed in order to prevent
	// resource leaks or other side effects

} // PopulatorDetach


//---------------------------------------------------------------------
//  Code Ends
//---------------------------------------------------------------------
