
//--------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
// This software is supplied under the terms of a license agreement or
// nondisclosure agreement with Dell Inc. and may not
// be copied or disclosed except in accordance with the terms of that
// agreement.
//
// Copyright (c) 1995-98 Dell Inc.. All Rights Reserved.
// 
//
// Abstract/Purpose:
//
// Header file for sampop.c data populator module
//
// Environment:
//
// WINNT, Netware and LINUX
//
//--------------------------------------------------------------------


#ifndef __SAMPOP_H_INCLUDED__
#define __SAMPOP_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <popincs.h>
#include <sampopobjdef.h>
#include <sampopevtdef.h>


#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
//  Defines and types
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//  Structure definitions
//---------------------------------------------------------------------

//---------------------------------------------------------------------
//  Function Prototypes
//---------------------------------------------------------------------


//---------------------------------------------------------------------
//  SAMPOPGLOBALS.C
//---------------------------------------------------------------------

s32 SamPopGlobalsAlloc(void);

void SamPopGlobalsFree(void);

booln SamPopGlobalsSetExitingFlag(_IN booln newFlag);

booln SamPopGlobalsGetExitingFlag(void);

void *SamPopGlobalsSetWorkerThreadPtr(void *pNewWorkerThread);

void *SamPopGlobalsSetReqTestThreadPtr(void *pNewWorkerThread);


//---------------------------------------------------------------------
//  SAMPOPTHREADS.C
//---------------------------------------------------------------------

s32 SamPopThreadStart(void);

void SamPopThreadStop(void);


//---------------------------------------------------------------------
//  SAMPOPREQTEST.C
//---------------------------------------------------------------------

s32 SamPopReqTestThreadStart(void);

void SamPopReqTestThreadStop(void);


//---------------------------------------------------------------------
//  SAMPOPEVENTLISTENER.C
//---------------------------------------------------------------------

void SamPopPrintOID(_IN const ObjID *pOID, 
					_IN const astring *pOIDMsg);

s32 SamPopEventListener(_IN const DataEventHeader *pDEH);


//---------------------------------------------------------------------
//  SAMPOPSUPT.C
//---------------------------------------------------------------------

booln SamPopIsManagedComponentPresent(void);

s32 SamPopAttachThreads(void);

s32 SamPopDetachThreads(void);

void SamPopStorageObjChildDOCreate(void);

void SamPopStorageObjChildSDODOCreate(void);

void SamPopTimerDOCreate(void);

s32 SamPopStorageObjChildDORefresh(_INOUT DataObjHeader *pDOH, 
								   _INOUT u32 *pDOHBufSize);

void SamPopProcessTimer(void);

s32 SamPopGetDevPCIObjType(void);


//---------------------------------------------------------------------
//  SAMPOPSTORAGEOBJ.C
//---------------------------------------------------------------------

ObjID SamPopDOStorageGetOID(_IN u8 popID);

s32 SamPopDOStorageGetObj(_IN const ObjID *pOID, 
						  _OUT DataObjHeader *pDOH, 
						  _INOUT u32 *pDOHBufSize);





#ifdef __cplusplus
}
#endif

#endif //  __SAMPOP_H_INCLUDED__

