
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
// 
//  Abstract/Purpose:
//
//
//  Environment:
//    Linux, Netware, Windows NT/2000
//
//  Version:
//    $Revision: 3 $
//
//  Last Modified By/On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:12p $
//
//-------------------------------------------------------------------------

#ifndef __SAMPOPDEF_H_INCLUDED__
#define __SAMPOPDEF_H_INCLUDED__


//---------------------------------------------------------------------
// Include files this header is dependent on
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Includes end
//---------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Defines and types
//---------------------------------------------------------------------

#define SAMP_NUM_CONTROLLERS						(2)
#define SAMP_NUM_ENCLOSURES							(5)


// sample controller simulated data
typedef struct _SAMPControllerSimData
{
	const astring *pVendorName;
	const astring *pDeviceName;
	u32 state;
	u32 numChannels;
	u32 numVirtDisks;
} SAMPControllerSimData;

#define SDOFID_CSD_VENDORNAME						(201)
#define SDOFID_CSD_DEVICENAME						(202)
#define SDOFID_CSD_STATE							(203)
#define SDOFID_CSD_NUMCHANNELS						(204)
#define SDOFID_CSD_NUMVIRTDISKS						(205)


// sample enclosure simulated data
typedef struct _SAMPEnclosureSimData
{
	const astring *pEnclName;
	u32 state;
	u32 channelNum;
	u32 numArrays;
	s32 firmwareMajorVersion;
	s32 firmwareMinorVersion;
	s32 firmwareMaintanenceVersion;
} SAMPEnclosureSimData;

#define SDOFID_ESD_ENCLNAME							(301)
#define SDOFID_ESD_STATE							(302)
#define SDOFID_ESD_CHANNELNUM						(303)
#define SDOFID_ESD_NUMARRAYS						(304)
#define SDOFID_ESD_FIRMWAREMAJORVERSION				(305)
#define SDOFID_ESD_FIRMWAREMINORVERSION				(306)
#define SDOFID_ESD_FIRMWAREMAINTANENCEVERSION		(307)


// sample array disk simulated data
typedef struct _SAMPArrayDiskSimData
{
	const astring *pArrayDiskName;
	const astring *pVendorName;
	u32 state;
	u32 partitionCount;
} SAMPArrayDiskSimData;

#define SDOFID_ADSD_ARRAYDISKNAME					(401)
#define SDOFID_ADSD_VENDORNAME						(402)
#define SDOFID_ADSD_STATE							(403)
#define SDOFID_ADSD_PARTITIONCOUNT					(404)


// sample virtual disk simulated data
typedef struct _SAMPVirtDiskSimData
{
	const astring *pVirtDiskName;
	u32 state;
} SAMPVirtDiskSimData;

#define SDOFID_VDSD_VIRTDISKNAME					(501)
#define SDOFID_VDSD_STATE							(502)


//---------------------------------------------------------------------
// Function Prototypes
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Header Code Ends
//---------------------------------------------------------------------


#ifdef __cplusplus
}
#endif



#endif // __SAMPOPDEF_H_INCLUDED__
