
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2001 Dell Inc. All Rights Reserved.
// 
//  Abstract/Purpose:
//
//
//  Environment:
//    Windows NT/2000, Linux, Netware
//
//  Version:
//  $Revision: 2 $
//
//
//  Last Modified by/on:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:12p $
//
//-------------------------------------------------------------------------


#ifndef __SAMPOPEVTDEF_H_INCLUDED__
#define __SAMPOPEVTDEF_H_INCLUDED__


//---------------------------------------------------------------------
// Includes this file is dependent on
//---------------------------------------------------------------------
#include <dcdataevent.h>



#ifdef __cplusplus
extern "C" {
#endif



//---------------------------------------------------------------------
//  Defines and types
//---------------------------------------------------------------------
// event type base used
// NOTE: Do not use the same base in your data populator
// request a range from the Data Engine team if not already assigned
#define DATA_EVT_TYPE_SAMP_BASE			(DATA_EVENT_TYPE_NEXT_AVAILABLE_LO)


//---------------------------------------------------------------------
//  Sample Data Event Types
//---------------------------------------------------------------------
#define DATA_EVT_TYPE_SAMP_POP_TO_CON	(DATA_EVT_TYPE_SAMP_BASE + 0)


//---------------------------------------------------------------------
//  Structure definitions
//---------------------------------------------------------------------


// definition of sample populator to consumer event
typedef struct _SAMPPopToConDataEvt
{
	// event header needed for all events
	DataEventHeader deh;
	// value of ctime at start in seconds from EPOCH
	s64 startTimeFromEPOCH;
	// number of 60 seconds increments since startTime
	s32 numMinutesFromStart;
} SAMPPopToConDataEvt;



#ifdef __cplusplus
}
#endif

#endif //  __SAMPOPEVTDEF_H_INCLUDED__


