
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 5 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:15p $
//
//  Author:
//    Chris Poblete
//
//  Environment:
//    Linux, Netware, Windows NT/2000/.NET
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    <Put a sentence or two describing the contents of this file>
//
//  See Also:
//    <Put document references here>
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-------------------------------------------------------------------------

#ifndef __FMTTEST_H_INCLUDED__
#define __FMTTEST_H_INCLUDED__


//---------------------------------------------------------------------
// Include files this header is dependent on
//---------------------------------------------------------------------
#include <decmddef.h>


//---------------------------------------------------------------------
// Includes end
//---------------------------------------------------------------------

#ifdef __cplusplus
extern "C" {
#endif


//---------------------------------------------------------------------
// Defines and types
//---------------------------------------------------------------------

#define FTEST_DISPLAY_TIMELAPSE				BIT(0)
#define FTEST_NORMALIZE_DISABLE_TEMP		BIT(1)

typedef struct _FTestData
{
	FILE *pOutStream;
	s64 beginTime;
	u32 fillCounter;
	u32 optionsBitMap;
} FTestData;


//---------------------------------------------------------------------
// Function Prototypes
//---------------------------------------------------------------------

void FTestDataInit(_INOUT FTestData *pFTD,
				   _IN const DECmdControl *pDCC);

booln FTestBeginOutf(_INOUT FTestData *pFTD,
					 _IN const astring *fmt,
					 ...);

booln FTestOutf(_INOUT FTestData *pFTD,
				_IN const astring *fmt,
				...);

booln FTestEndOutf(_INOUT FTestData *pFTD,
				   _IN s32 status);



//---------------------------------------------------------------------
// End
//---------------------------------------------------------------------



#ifdef __cplusplus
}
#endif



#endif // __FMTTEST_H_INCLUDED__
