
//-------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 3 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:15p $
//
//  Author:
//    Data Engine
//
//  Environment:
//    Linux, Netware, Windows NT/2000/.NET
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Defines and provide access to the table mapping command
//    string names to the command function
//
//  See Also:
//    Data Engine High Level Design document
//
//  Notes:
//    Part of the Data Engine NVP-Command Driven Tool sample
//
//-------------------------------------------------------------------------


//---------------------------------------------------------------------
// Defines to customize headers to follow
//---------------------------------------------------------------------
#if (!defined SYSTEM_DEBUG_LEVEL) && (defined _DEBUG)
#define SYSTEM_DEBUG_LEVEL      3
#endif


//---------------------------------------------------------------------
// SDK include files
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Standard C include files
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Local includes
//---------------------------------------------------------------------
#include <cmdlist.h>


//---------------------------------------------------------------------
// Local defines
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Global Data Area
//---------------------------------------------------------------------

//---------------------------------------------------------------------
// Code Begins
//---------------------------------------------------------------------


//---------------------------------------------------------------------
//  Command Dispatch Table Definition
//---------------------------------------------------------------------
DECmdDispatchTable cdt[] =
{
	{ "hello", CMDHello }
};

//---------------------------------------------------------------------
//  NVPCmdGetCDT
//---------------------------------------------------------------------
DECmdDispatchTable *NVPCmdGetCDT(_OUT s32 *pNumElements)
{
	*pNumElements = NUM_1D_ARR_ELEMENTS(cdt);
	return cdt;
} // NVPCmdGetCDT


//---------------------------------------------------------------------
// Code Ends
//---------------------------------------------------------------------

