
//-----------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2006 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: $
//
//  Last Modified By / On:
//    $Author: $ / $Date: $
//
//  Author:
//    Doug Warzecha
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for INI definitions used by MIB Plug-in Manager
//
//  See Also:
//    <Put document references here>
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-----------------------------------------------------------------------------

#ifndef __DCMMINIDEF_H_INCLUDED__
#define __DCMMINIDEF_H_INCLUDED__


//-----------------------------------------------------------------------------
// Begin Dependent Includes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Data Engine core header files
//-----------------------------------------------------------------------------
#include <dcdetypes.h>


//-----------------------------------------------------------------------------
// End Dependent Includes
//-----------------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif


//-----------------------------------------------------------------------------
// Begin Definitions
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Definitions for MIB Manager INI file and folder names
//-----------------------------------------------------------------------------

// folder name in directory for productID=SM_PRODUCT_ID_DATA_ENGINE
#define MMCFG_MMINI_DIR_NAME				"ini"

// MIB Manager configuration INI file names
// all INI file names are MAX 8.3 format
// and internal name of the service
#define MMCFG_MMDYINI_INI_NAME				"dcsndy" NATIVE_DATA_WIDTH_STR ".ini"
#define MMCFG_MMSTINI_INI_NAME				"dcsnst" NATIVE_DATA_WIDTH_STR ".ini"


//-----------------------------------------------------------------------------
// Definitions for MIB Manager "Dynamic" INI file
//-----------------------------------------------------------------------------

// MIB Implementers section
#define MMCFG_MMDYINI_SEC_MPIALIAS			"MIB Implementers"
#define MMCFG_MMDYINI_KEY_MPIALIAS			"mpialias"

// MPI Aliases section (section name is alias name)
#define MMCFG_MMDYINI_KEY_MI_DISPLAYNAME	"display.name"
#define MMCFG_MMDYINI_KEY_MI_IMAGEPFNAME	"image.pathfilename"
#define MMCFG_MMDYINI_KEY_MI_POPEXPDISPFN	"mpiexport.dispatchfn"
#define MMCFG_MMDYINI_KEY_MI_STARTUPTYPE	"startup.type"

// MIB Manager section
#define MMCFG_MMDYINI_SEC_MIBMANAGER		"MIB Manager"
#define MMCFG_MMDYINI_KEY_MM_SNMPSETS		"snmpsets.enabled"
#define MMCFG_MMDYINI_KEY_MM_SMUXPASSWORD	"smux.password"
#define MMCFG_MMDYINI_KEY_MM_SNMPAGENTNAME	"snmpagent.name"
#define MMCFG_MMDYINI_KEY_MM_TRAPSTDLYMSECS	"trapstartdelay.msecs"
#define MMCFG_MMDYINI_KEY_MM_TRAPTHROTMSECS	"trapthrottle.msecs"


//-----------------------------------------------------------------------------
// Definitions for MIB Manager "Static" INI file
//-----------------------------------------------------------------------------

// MIB Manager section
#define MMCFG_MMSTINI_SEC_MIBMANAGER		"MIB Manager"
#define MMCFG_MMSTINI_KEY_MM_IDENTITYOID	"identity.oid"
#define MMCFG_MMSTINI_KEY_MM_DESCRIPTION	"description"
#define MMCFG_MMSTINI_KEY_MM_OVBVALBUFSZMAX	"ovbvalbufsize.max"
#define MMCFG_MMSTINI_KEY_MM_AGENTXENABLED	"agentx.enabled"
#define MMCFG_MMSTINI_KEY_MM_SMUXENABLED	"smux.enabled"
#define MMCFG_MMSTINI_KEY_MM_TRAPSTDLYMSECS	"trapstartdelay.msecs"
#define MMCFG_MMSTINI_KEY_MM_TRAPTHROTMSECS	"trapthrottle.msecs"

// MIB Configuration section
#define MMCFG_MMSTINI_SEC_MIBCONFIG			"MIB Configuration"
#define MMCFG_MMSTINI_KEY_MC_ENTERPRISEID	"enterprise.id"

// SNMP Agent sections (section name is SNMP agent name)
#define MMCFG_MMSTINI_KEY_SA_SPARSETABLE	"sparsetable.supported"
#define MMCFG_MMSTINI_KEY_SA_SNMPVERS		"snmp.versions"


//-----------------------------------------------------------------------------
// Definitions MIB Manager INI values
//-----------------------------------------------------------------------------

#define MMCFG_MMDYINI_VAL_MIST_DISABLED		"disabled"
#define MMCFG_MMDYINI_VAL_MIST_MANUAL		"manual"
#define MMCFG_MMDYINI_VAL_MIST_AUTOMATIC	"automatic"

#define MMCFG_MMDYINI_DEFVAL_MM_SNMPSETS	(FALSE)
#define MMCFG_MMDYINI_MAXLEN_SMUXPASSWORD	(255)

#define MMCFG_DEFVAL_MM_TRAPSTDLYMSECS		(5000)
#define MMCFG_MINVAL_MM_TRAPSTDLYMSECS		(100)
#define MMCFG_MAXVAL_MM_TRAPSTDLYMSECS		(300 * 1000)

#define MMCFG_DEFVAL_MM_TRAPTHROTMSECS		(1000)
#define MMCFG_MINVAL_MM_TRAPTHROTMSECS		(100)
#define MMCFG_MAXVAL_MM_TRAPTHROTMSECS		(60 * 1000)


//-----------------------------------------------------------------------------
// End Definitions
//-----------------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __DCMMINIDEF_H_INCLUDED__


