
//-----------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 4 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:14p $
//
//  Author:
//    Doug Warzecha
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for mpiexport.c support module
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-----------------------------------------------------------------------------

#ifndef __MPIEXPORT_H_INCLUDED__
#define __MPIEXPORT_H_INCLUDED__


//-----------------------------------------------------------------------------
// Begin Dependent Includes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Data Engine core header files
//-----------------------------------------------------------------------------
#include <dcdetypes.h>


//-----------------------------------------------------------------------------
// End Dependent Includes
//-----------------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif


//-----------------------------------------------------------------------------
// Begin Definitions
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Function prototypes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Functions defined in mpiexport.c
//-----------------------------------------------------------------------------

#ifndef AUTOTOOLS_BUILD
// ModuleAttach - called when module is loaded by OS
booln ModuleAttach(void);

// ModuleDetach - called when module is unloaded by OS
booln ModuleDetach(void);
#endif


//-----------------------------------------------------------------------------
// Functions to be defined by MIB implementer if it uses mpiexport.c
// to implement the dispatch entry point
//-----------------------------------------------------------------------------

// MIBImplementerAttach - called by ModuleAttach when MIB implementer
// is loaded by OS
s32 MIBImplementerAttach(void);

// MIBImplementerDetach - called by ModuleDetach when MIB implementer
// is unloaded by OS
s32 MIBImplementerDetach(void);

// MIBImplementerDispatch - called by MIB implementer dispatch entry point
// to handle requests from MIB Plug-in Manager
s32 MIBImplementerDispatch(_IN u32 reqType,
						   _IN const void * pInBuf, 
						   _IN u32 inBufSize,
						   _OUT void * pOutBuf, 
						   _IN u32 outBufSize,
						   _OUT u32 * pBytesReturned);


//-----------------------------------------------------------------------------
// End Definitions
//-----------------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __MPIEXPORT_H_INCLUDED__

