
//-----------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 8 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:14p $
//
//  Author:
//    Doug Warzecha
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for module configuration functions
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-----------------------------------------------------------------------------

#ifndef __MODULECONFIG_H_INCLUDED__
#define __MODULECONFIG_H_INCLUDED__


//-----------------------------------------------------------------------------
// Begin Dependent Includes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Data Engine core header files
//-----------------------------------------------------------------------------
#include <dcdetypes.h>


//-----------------------------------------------------------------------------
// End Dependent Includes
//-----------------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif


//-----------------------------------------------------------------------------
// Begin Definitions
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Definitions
//-----------------------------------------------------------------------------

#define MODULE_SVC_NAME						"sammi1" NATIVE_DATA_WIDTH_STR

#define MODULE_BUILD_DATETIME_STR			__DATE__ " " __TIME__

#ifdef SYSTEM_TYPE_WINNT
#define MODULE_OS_TYPE_STR					"Windows"
#endif
#ifdef SYSTEM_TYPE_NETWARE
#define MODULE_OS_TYPE_STR					"NetWare"
#endif
#ifdef SYSTEM_TYPE_LINUX
#define MODULE_OS_TYPE_STR					"Linux"
#endif


//-----------------------------------------------------------------------------
// Function prototypes
//-----------------------------------------------------------------------------

const astring * ModuleConfigGetSvcName(void);

const astring * ModuleConfigGetDescriptionStr(void);

const astring * ModuleConfigGetVersionStr(void);

const astring * ModuleConfigGetBuildDateTimeStr(void);

const astring * ModuleConfigGetOSTypeStr(void);

u32 ModuleConfigGetEnterpriseID(void);


//-----------------------------------------------------------------------------
// End Definitions
//-----------------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __MODULECONFIG_H_INCLUDED__

