
//-----------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 7 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:14p $
//
//  Author:
//    Doug Warzecha
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Header file for Sample MIB 1 support
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-----------------------------------------------------------------------------

#ifndef __SAMMIB1SUPT_H_INCLUDED__
#define __SAMMIB1SUPT_H_INCLUDED__


//-----------------------------------------------------------------------------
// Begin Dependent Includes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Data Engine core header files
//-----------------------------------------------------------------------------
#include <dcdetypes.h>


//-----------------------------------------------------------------------------
// Data Engine SNMP header files
//-----------------------------------------------------------------------------
#include <dcsmsnmp.h>


//-----------------------------------------------------------------------------
// End Dependent Includes
//-----------------------------------------------------------------------------


#ifdef __cplusplus
extern "C" {
#endif


//-----------------------------------------------------------------------------
// Begin Definitions
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// MIB definitions
//-----------------------------------------------------------------------------

#define SAMMIB1_MIBIMPLEMENTER_GROUP				(100)
#define SAMMIB1_DATATYPE_GROUP						(200)


//-----------------------------------------------------------------------------
// Trap definitions
//-----------------------------------------------------------------------------

#define SAMMIB1_READY_TRAP_ID						(100)
#define SAMMIB1_DATATYPE_TRAP_BASE_ID				(200)


//-----------------------------------------------------------------------------
// Data Type definitions
//-----------------------------------------------------------------------------

#define SAMMIB1_DATATYPE_OCTET_STRING_MAX_SIZE		(255)
#define SAMMIB1_DATATYPE_TRAP_BASE_ID				(200)
#define SAMMIB1_DATATYPE_TRAP_NUM_VARS				(7)


//-----------------------------------------------------------------------------
// Global data
//-----------------------------------------------------------------------------

// sammib1supt.c

extern SMSnmpOid g_sammib1Oid;

extern time_t g_sammib1StartTime;


//-----------------------------------------------------------------------------
// Function prototypes
//-----------------------------------------------------------------------------

// sammib1datatype.c

s32 Sammib1DataTypeGroupGet(_IN const SMSnmpVarBind * pIVB,
							_OUT SMSnmpVarBind * pOVB);

s32 Sammib1DataTypeGroupSet(_IN const SMSnmpVarBind * pIVB,
							_IN u32 reqType);

s32 Sammib1DataTypeSendTrap(u32 attrId);


// sammib1mibimp.c

s32 Sammib1MIBImplementerGroupGet(_IN const SMSnmpVarBind * pIVB,
								  _OUT SMSnmpVarBind * pOVB);

s32 Sammib1MIBImplementerGroupSet(_IN const SMSnmpVarBind * pIVB,
								  _IN u32 reqType);


// sammib1supt.c

s32 Sammib1Attach(void);

s32 Sammib1Detach(void);

s32 Sammib1ListMib(_INOUT SMSnmpMibList * pMibList,
				   _IN u32 outBufSize,
				   _OUT u32 * pBytesReturned);

s32 Sammib1StartMonitor(void);

s32 Sammib1StopMonitor(void);

s32 Sammib1Get(_IN const SMSnmpVarBind * pIVB,
			   _OUT SMSnmpVarBind * pOVB);

s32 Sammib1GetNext(_IN const SMSnmpVarBind * pIVB,
				   _OUT SMSnmpVarBind * pOVB);

s32 Sammib1Set(_IN const SMSnmpVarBind * pIVB,
			   _IN u32 reqType);

s32 Sammib1CheckPrefix(_IN const SMSnmpVarBind * pVB);

s32 Sammib1GetGroupID(_IN const SMSnmpVarBind * pVB,
					  _OUT u32 * pGroupId);

s32 Sammib1GetTableID(_IN const SMSnmpVarBind * pVB,
					  _OUT u32 * pTableId);

s32 Sammib1GetTableEntryID(_IN const SMSnmpVarBind * pVB,
						   _OUT u32 * pTableEntryId);

s32 Sammib1GetNextTableIdx1Int(_IN ObjInfo * pObjInfo,
							   _OUT u32 * pIndex);

s32 Sammib1FreeTableIdx1Int(_IN ObjInfo * pObjInfo,
							_IN u32 index);

s32 Sammib1ScalarGroupGetNext(_IN const SMSnmpVarBind * pIVB,
							  _OUT SMSnmpVarBind * pOVB,
							  _IN ObjInfo * pObjInfo,
							  _IN booln fellThrough,
							  _IN u32 startAttributeID,
							  _IN u32 maxAttributeID);


//-----------------------------------------------------------------------------
// End Definitions
//-----------------------------------------------------------------------------


#ifdef __cplusplus
}
#endif


#endif // __SAMMIB1SUPT_H_INCLUDED__

