
//-----------------------------------------------------------------------------
//
//          Dell Inc. PROPRIETARY INFORMATION
//
//  This software is supplied under the terms of a license agreement or
//  nondisclosure agreement with Dell Inc. and may not
//  be copied or disclosed except in accordance with the terms of that
//  agreement.
//
//  Copyright (c) 1995-2003 Dell Inc. All Rights Reserved.
//
//
//  Revision:
//    $Revision: 10 $
//
//  Last Modified By / On:
//    $Author: Tushar_oza $ / $Date: 7/22/03 5:14p $
//
//  Author:
//    Doug Warzecha
//
//  Environment:
//    Linux, NetWare, Windows NT/2000/2003
//
//  User/Kernel Mode:
//    User
//  
//  Abstract/Purpose:
//    Functions to get module configuration data
//
//  See Also:
//    Data Engine High Level Design Specification
//
//  Notes:
//    <Put notes here that you want to be read before code reading/modifying>
//
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Include files
//-----------------------------------------------------------------------------

#include <moduleincs.h>


//-----------------------------------------------------------------------------
// Local definitions
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Local function prototypes
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Global data
//-----------------------------------------------------------------------------


//-----------------------------------------------------------------------------
// Begin Code
//-----------------------------------------------------------------------------


//=============================================================================
// ModuleConfigGetSvcName - get module service name
//=============================================================================
const astring * ModuleConfigGetSvcName(void)
{

	return MODULE_SVC_NAME;
} // ModuleConfigGetSvcName


//=============================================================================
// ModuleConfigGetDescriptionStr - get module description
//=============================================================================
const astring * ModuleConfigGetDescriptionStr(void)
{

	return PRD_VER_FILEDESCRIPTION_STR;
} // ModuleConfigGetDescriptionStr


//=============================================================================
// ModuleConfigGetVersionStr - get module version
//=============================================================================
const astring * ModuleConfigGetVersionStr(void)
{

	return PRD_VER_PRODUCTVERSION_STR;
} // ModuleConfigGetVersionStr


//=============================================================================
// ModuleConfigGetBuildDateTimeStr - get module build date and time
//=============================================================================
const astring * ModuleConfigGetBuildDateTimeStr(void)
{

	return MODULE_BUILD_DATETIME_STR;
} // ModuleConfigGetBuildDateTimeStr


//=============================================================================
// ModuleConfigGetOSTypeStr - get OS type
//=============================================================================
const astring * ModuleConfigGetOSTypeStr(void)
{

	return MODULE_OS_TYPE_STR;
} // ModuleConfigGetOSTypeStr


//=============================================================================
// ModuleConfigGetEnterpriseID - return possible alternate MIB enterprise ID
//=============================================================================
u32 ModuleConfigGetEnterpriseID(void)
{

	// get value from MIB Plug-in Manager
	return MIBImpMPIMPMGetMIBEnterpriseID();
} // ModuleConfigGetEnterpriseID


//-----------------------------------------------------------------------------
// End Code
//-----------------------------------------------------------------------------

